Page({
  data:{
    option1: [
      { text: '学生', value: 0 },
      { text: '老师', value: 1 },
    ],
    value1: 0,

    option2: [
      { text: '请选择', value: 3 },
      { text: '计科', value: 4 },
      { text: '软件', value: 5 },
    ],
    value2: 3,

    option3: [
      { text: '请选择', value: 3 },
      { text: '火锅', value: 6 },
      { text: '烧烤', value: 7 },
      { text: '烤肉', value: 8 },
    ],
    value3: 3,

    date: '',
    show: false, 
  },
onDisplay(){
  this.setData({ show: true });
},
onClose() {
  this.setData({ show: false });
},
formatDate(date) {
  date = new Date(date);
},
onConfirm(event) {
  this.setData({
    show: false,
    date: this.formatDate(event.detail),
  })
 }
});